Page MenuHomePhabricator

[CMake] Refactor testing infrastructure
ClosedPublic

Authored by Hahnfeld on Nov 15 2017, 8:13 AM.

Details

Summary

The code for the two OpenMP runtime libraries was very similar.
Move to common CMake file that is included and provides a simple
interface for adding testsuites. Also add a common check-openmp
target that runs all testsuites that have been registered.

Note that this renames all test options to the common OPENMP
namespace, for example OPENMP_TEST_C_COMPILER instead of
LIBOMP_TEST_COMPILER and so on.

Diff Detail

Repository
rL LLVM

Event Timeline

Hahnfeld created this revision.Nov 15 2017, 8:13 AM
Hahnfeld updated this revision to Diff 123998.Nov 22 2017, 11:52 AM

Rebase onto recent changes.

jlpeyton accepted this revision.Nov 29 2017, 10:20 AM

Fix minor thing, then LGTM

libomptarget/Build_With_CMake.txt
88–91 ↗(On Diff #123998)

Missing '-D' before OPENMP

This revision is now accepted and ready to land.Nov 29 2017, 10:20 AM
Hahnfeld marked an inline comment as done.Nov 29 2017, 11:08 AM
Hahnfeld added inline comments.
libomptarget/Build_With_CMake.txt
88–91 ↗(On Diff #123998)

Oops, thanks for catching this. Another reason to get the Build_With_CMake.txt files unified...

This revision was automatically updated to reflect the committed changes.
Hahnfeld marked an inline comment as done.